> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rendernet.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List ControlNets

> The list controlnets endpoint lets users retrieve a list of available ControlNets. The response will return a paginated list of all available ControlNets along with their names and base model (SD 1.5 or SDXL).





## OpenAPI

````yaml get /pub/v1/controlnets
openapi: 3.0.2
info:
  description: >-
    The Affogato API section provides a comprehensive set of APIs that allow you
    to create high-quality media content using textual and graphical inputs. By
    utilizing the features provided in this section, users can easily generate
    engaging visuals and media assets.You need an API key to use these APIs. To
    get your personal key, log in to Affogato, head to the account page at
    [Affogato](https://affogato.ai/account) and hit generate API key. Add this
    key as an X-API-Key header in the requests that you send.
  title: Affogato API
  version: '1.0'
servers: []
security: []
tags:
  - description: >-
      The Generation section allows users to create, view, and delete images on
      Rendernet.
    name: Generation
  - description: >-
      Explore all available resources that can be used for generating images on
      Rendernet. With this section, users can easily access key details about
      the resources at their disposal.
    name: Resources
  - description: Upload / Get information about assets that can be used for generation.
    name: Assets
paths:
  /pub/v1/controlnets:
    get:
      tags:
        - Resources
      summary: List Resources
      description: >+
        The list controlnets endpoint lets users retrieve a list of available
        ControlNets. The response will return a paginated list of all available
        ControlNets along with their names and base model (SD 1.5 or SDXL).

      parameters:
        - description: The type of the controlnets.
          in: query
          name: type
          required: false
          schema:
            type: string
            enum:
              - sd
              - sdxl
              - flux
        - description: The page number of the resource list
          in: query
          name: page
          required: false
          schema:
            type: integer
        - description: The page size of the resource list
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: >-
            API key needed to access our public endpoints. You can find yours
            under the 'Account' section of the website
          required: true
          schema:
            type: string
            title: X-API-KEY
            description: >-
              API key needed to access our public endpoints. You can find yours
              under the 'Account' section of the website
          name: X-API-KEY
          in: header
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListControlnetsSuccessResponse'
          description: Successful response containing the list of resources
components:
  schemas:
    ListControlnetsSuccessResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ListControlnets'
          type: array
        err:
          description: The error if the request was not successful
          type: object
        pagination:
          $ref: '#/components/schemas/Pagination'
          description: The pagination data of the request
          type: object
      type: object
    ListControlnets:
      properties:
        base_model:
          description: The base model of the ControlNet
          example: SD 1.5
          type: string
        name:
          description: The name of the LoRA
          example: QR Code
          type: string
      type: object
    Pagination:
      properties:
        page:
          description: The page number
          example: 1
          type: integer
        page_size:
          description: The page size
          example: 10
          maximum: 50
          minimum: 1
          type: integer
        total:
          description: The total number of items
          example: 100
          type: integer
      type: object

````